## @superset-custom-plugin/plugin-chart-column-chart

### Usage

Configure `key`, which can be any `string`, and register the plugin. This `key` will be used to
lookup this chart throughout the app.

```js
import ColumnChartPlugin from '@superset-custom-plugins/plugin-chart-column-chart';

new ColumnChartPlugin().configure({ key: 'column-chart' }).register();
```

```js
<SuperChart
  chartType="column-chart"
  width={600}
  height={600}
  formData={...}
  queriesData={[{
    data: {...},
  }]}
/>
```

### File structure generated

```
├── jest.config.base.js
├── jest.config.js
├── mannual
│   └── Column_Chart.md
├── package.json
├── package-lock.json
├── README.md
├── setupJest.js
├── src
│   ├── ColumnChart.tsx
│   ├── components
│   │   └── Echart.tsx
│   ├── constants.ts
│   ├── controls.tsx
│   ├── defaults.ts
│   ├── images
│   │   └── thumbnail.png
│   ├── index.ts
│   ├── plugin
│   │   ├── buildQuery.ts
│   │   ├── controlPanel.tsx
│   │   ├── index.ts
│   │   ├── transformProps.ts
│   │   └── types.ts
│   ├── types.ts
│   └── utils
│       ├── annotation.ts
│       ├── controls.ts
│       ├── prophet.ts
│       └── series.ts
├── test
│   ├── index.test.ts
│   └── plugin
│       ├── buildQuery.test.ts
│       └── transformProps.test.ts
├── tsconfig.json
└── types
    └── external.d.ts
```
